Package org.eclipse.ecf.filetransfer

# Class RemoteFileSystemException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.core.runtime.CoreException
org.eclipse.ecf.core.util.ECFException
org.eclipse.ecf.filetransfer.RemoteFileSystemException

All Implemented Interfaces:
  `Serializable`

public class RemoteFileSystemException extends ECFException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RemoteFileSystemException()`
`RemoteFileSystemException(String message)`
`RemoteFileSystemException(String message, Throwable cause)`
`RemoteFileSystemException(Throwable cause)`
`RemoteFileSystemException(org.eclipse.core.runtime.IStatus status)`

## Method Summary

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RemoteFileSystemException

public RemoteFileSystemException()

### RemoteFileSystemException

public RemoteFileSystemException(org.eclipse.core.runtime.IStatus status)

Parameters:
  `status` - status

### RemoteFileSystemException

public RemoteFileSystemException(String message, Throwable cause)

Parameters:
  `message` - message
  `cause` - cause

### RemoteFileSystemException

public RemoteFileSystemException(String message)

Parameters:
  `message` - message

### RemoteFileSystemException

public RemoteFileSystemException(Throwable cause)

Parameters:
  `cause` - cause